# Interface methods for submodule: FixedCenterOfRotationAffineTransform
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ScalableAffineTransformProxy as _ScalableAffineTransformProxy


# Interface methods for class: FixedCenterOfRotationAffineTransform
class FixedCenterOfRotationAffineTransformProxy(_ScalableAffineTransformProxy):
	def GetNameOfClass(self):
		""""""
		...

	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def SetCenterOfRotationComponent(self, cor: Sequence[float]) -> None:
		""""""
		...

	def GetCenterOfRotationComponent(self) -> Sequence[float]:
		""""""
		...

	def SetMatrixComponent(self, matrix) -> None:
		""""""
		...

	def GetMatrixComponent(self):
		""""""
		...

	def SetOffsetComponent(self, offset: Sequence[float]) -> None:
		""""""
		...

	def GetOffsetComponent(self) -> Sequence[float]:
		""""""
		...

